Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IHyperlinkOwner

    com.change_vision.jude.api.inf.model.IHyperlinkOwner

All Known Implementing Classes:
  IAction, IActivity, IActivityDiagram, IActivityNode, IActivityParameterNode, IAnchor, IArtifact, IAssociation, IAssociationClass, IAttribute, ICell, IClass, IClassDiagram, IClassifierTemplateParameter, ICombinedFragment, IComment, ICommunicationDiagram, IComponent, IComponentDiagram, ICompositeStructureDiagram, IConnector, IConstraint, IControlNode, IDataFlow, IDataFlowDiagram, IDataFlowNode, IDataStore, IDependency, IDeploymentDiagram, IDiagram, IDurationConstraint, IERAttribute, IERDatatype, IERDiagram, IERDomain, IEREntity, IERIndex, IERModel, IERRelationship, IERSchema, IERSubtypeRelationship, IExtend, IExtentionPoint, IExternalEntity, IFinalState, IFlow, IGate, IGeneralization, IHeaderCell, IInclude, IInputPin, IInstanceSpecification, IInteraction, IInteractionFragment, IInteractionOperand, IInteractionUse, ILifeline, ILifelineLink, ILink, ILinkEnd, ILinkPresentation, IMatrixDiagram, IMessage, IMindMapDiagram, IModel, INamedElement, INode, INodePresentation, IObjectNode, IOperation, IOutputPin, IPackage, IParameter, IPartition, IPin, IPort, IPresentation, IProcessBox, IPseudostate, IRealization, IRequirement, IRequirementDiagram, IRequirementTable, ISequenceDiagram, ISlot, IState, IStateInvariant, IStateMachine, IStateMachineDiagram, ISubsystem, ITemplateBinding, ITermination, ITestCase, ITimeConstraint, ITopicPresentation, ITraceabilityMap, ITransition, IUsage, IUseCase, IUseCaseDiagram, IValueCell, IVertex

    public IHyperlinkOwner

Interface for elements with hyperlinks.

Method Summary
`abstract IHyperlink` | `createElementHyperlink(IElement element, String Comment)` Create an element hyperlink for model.
`abstract IHyperlink` | `createFileHyperlink(String fileName, String filePath, String Comment)` Create a file hyperlink for model.
`abstract IHyperlink` | `createURLHyperlink(String URL, String Comment)` Create a URL hyperlink for model.
`abstract void` | `deleteHyperlink(IHyperlink hyperlink)` Delete a hyperlink from model.
`abstract IHyperlink[]` | `getHyperlinks()` Get hyperlinks.

Method Detail

### getHyperlinks

    abstract IHyperlink[] getHyperlinks()

  Get hyperlinks.

  Returns:
    the array of IHyperlinks

### createFileHyperlink

    abstract IHyperlink createFileHyperlink(String fileName,
                                            String filePath,
                                            String Comment)

  Create a file hyperlink for model.

  Parameters:
    `String` - fileName File Name String filePath File Path String Comment Comment Comment
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createURLHyperlink

    abstract IHyperlink createURLHyperlink(String URL,
                                           String Comment)

  Create a URL hyperlink for model.

  Parameters:
    `String` - URL URL String Comment Comment
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createElementHyperlink

    abstract IHyperlink createElementHyperlink(IElement element,
                                               String Comment)

  Create an element hyperlink for model.

  Parameters:
    `String` - element Model String Comment Comment
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### deleteHyperlink

    abstract void deleteHyperlink(IHyperlink hyperlink)

  Delete a hyperlink from model.

  Parameters:
    `IHyperlink` - hyperlink Hyperlink
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              INVALID_HYPERLINK_MODEL_ERROR_KEY - if a hyperlink cannot be set to the model.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD